## yarssr 0.1.5

=== Makefile ===
PREFIX=/usr/local
all:
	cp yarssr.pl yarssr
	echo "__DATA__" >> yarssr
	cat yarssr.glade >> yarssr

install: all
	install -d $(DESTDIR)/$(PREFIX)/bin
	install -m 755 yarssr $(DESTDIR)/$(PREFIX)/bin/

clean:
		rm -f yarssr

.PHONY: all install clean

## yarssr 0.1.8

=== Makefile ===
--- 
+++ 
@@ -9,6 +9,6 @@
 	install -m 755 yarssr $(DESTDIR)/$(PREFIX)/bin/
 
 clean:
-		rm -f yarssr
+	rm -f yarssr
 
 .PHONY: all install clean

## yarssr 0.2.2

=== Makefile ===
PREFIX=/usr/local
BINDIR=$(PREFIX)/bin
LIBDIR=$(PREFIX)/lib/yarssr
DATADIR=$(PREFIX)/share
LOCALEDIR=$(DATADIR)/locale

LC_CATEGORY=LC_MESSAGES

all: yarssr

yarssr:
	@mkdir -p build

	perl -ne 's!\@PREFIX\@!$(PREFIX)!g ; s!\@LIBDIR\@!$(LIBDIR)!g ; print' < src/yarssr > build/yarssr

	mkdir -p build/locale/en/$(LC_CATEGORY)
	msgfmt -o build/locale/en/$(LC_CATEGORY)/yarssr.mo src/po/en.po

install:
	mkdir -p	$(DESTDIR)/$(BINDIR) \
				$(DESTDIR)/$(DATADIR) \
				$(DESTDIR)/$(LIBDIR) \
				$(DESTDIR)/$(LOCALEDIR)/en/$(LC_CATEGORY)
			
	@echo Copying lib files to $(DESTDIR)/$(DATADIR):
	@cp -Rp lib/* $(DESTDIR)/$(LIBDIR)/
	@echo Copying share files to $(DESTDIR)/$(DATADIR):
	@cp -Rp share/* $(DESTDIR)/$(DATADIR)/

	find $(DESTDIR)/$(DATADIR) -type f -exec chmod 644 "{}" \;
	find $(DESTDIR)/$(LIBDIR) -type f -exec chmod 644 "{}" \;

	install -m 0644 build/locale/en/$(LC_CATEGORY)/yarssr.mo $(DESTDIR)/$(LOCALEDIR)/en/$(LC_CATEGORY)/
	install -m 0755 build/yarssr	$(DESTDIR)/$(BINDIR)

clean:
	rm -rf build

cleancvs:
	find . -name CVS -type d -exec rm -rf '{}' \;

uninstall:
	rm -rf	$(BINDIR)/yarssr \
		$(LIBDIR) \
		$(DATADIR)/yarssr
		
.PHONY: all yarssr clean install uninstall

=== debian/changelog ===
yarssr (0.2.2-9) unstable; urgency=low

  * debian/patches/699578-atom-feeds-opening: Avoid freeze when opening some
    atoms feeds, patch by Sergheu Mihai, Closes: 699578 

 -- Joachim Breitner <nomeata@debian.org>  Mon, 04 Feb 2013 14:30:38 +0100

yarssr (0.2.2-8) unstable; urgency=low

  * debian/patches/336667-keep-new-state-across-update: Do not mark items as
    seen just because the feed is refreshed, patch by Pavel Reznicek,
    Closes: #336667
  * debian/patches/570263-identify-also-by-title: Do not only use the url but
    also the title to identify feeds, patch by Pavel Reznicek,
    Closes: #570263

 -- Joachim Breitner <nomeata@debian.org>  Thu, 14 Jul 2011 18:15:58 +0200

yarssr (0.2.2-7) unstable; urgency=low

  * debian/patches/632835-timeout-for-waitpid: Reap children with
    Glib->timout, not Glib-idle, thanks to Pavel Reznicek for the patch,
    Closes: #632835 

 -- Joachim Breitner <nomeata@debian.org>  Wed, 06 Jul 2011 15:42:55 +0200

yarssr (0.2.2-6) unstable; urgency=low

  * Depend on libgnomevfs2-extra (Closes: 586338)
    Thanks to Heinrich Schmidt for the bugreport.

 -- Joachim Breitner <nomeata@debian.org>  Sun, 20 Jun 2010 23:20:51 +0200

yarssr (0.2.2-5) unstable; urgency=low

  * Fix "FTBFS: msgfmt: error while opening "src/po/de.po" for reading:
    No such file or directory" by fixing debian/patches by switching to (3.0)
    quilt source format.  (Closes: #560569)
  * Use the tiny debhelper 7 debian/rules file.
  * Bump standards version, no change. 

 -- Joachim Breitner <nomeata@debian.org>  Sat, 12 Dec 2009 22:28:14 +0100

yarssr (0.2.2-4) unstable; urgency=low

  * Fix for CVE-2007-5837 breaks browser launching (Closes: #454213)
    This is now the same patch that upstream has applied. Thanks to William
    Grant for submitting it.
  * Adding Homepage: field
  * Adjust menu section

 -- Joachim Breitner <nomeata@debian.org>  Tue, 04 Dec 2007 10:52:36 +0100

yarssr (0.2.2-3) unstable; urgency=high

  * Fixes code injection through malicous URLs (closes: 448721)

 -- Joachim Breitner <nomeata@debian.org>  Wed, 31 Oct 2007 12:23:31 +0100

yarssr (0.2.2-2) unstable; urgency=low

  * Merging ubuntu changes, thanks!
  * Bumping standards version, no change.

 -- Joachim Breitner <nomeata@debian.org>  Wed, 29 Aug 2007 09:58:47 +0200

yarssr (0.2.2-1ubuntu1) gutsy; urgency=low

  * Added .desktop file (LP: #127547)

 -- Nicolas Robin <nicolas.robin06@gmail.com>  Fri, 17 Aug 2007 01:05:26 +0200

yarssr (0.2.2-1) unstable; urgency=low

  * New upstream release
    + Closes: #293245: yarssr leaves zombie processes
  * Created and included German translation

 -- Joachim Breitner <nomeata@debian.org>  Tue, 22 Mar 2005 18:27:20 +0100

yarssr (0.2.0-1) unstable; urgency=low

  * New upstream release
  * Removed some dpatches because included upstream

 -- Joachim Breitner <nomeata@debian.org>  Thu, 13 Jan 2005 22:29:06 +0100

yarssr (0.2+rc2-1) UNRELEASED; urgency=low

  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Fri,  3 Dec 2004 00:15:56 +0100

yarssr (0.2+rc1-1) UNRELEASED; urgency=low

  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Mon, 18 Oct 2004 00:17:49 +0200

yarssr (0.1.8-5) UNRELEASED; urgency=low

  * no warnings when no connection available

 -- Joachim Breitner <nomeata@debian.org>  Sat, 16 Oct 2004 15:47:29 +0200

yarssr (0.1.8-4) unstable; urgency=low

  * make sure dpatches are really applied

 -- Joachim Breitner <nomeata@debian.org>  Fri,  8 Oct 2004 21:29:17 +0200

yarssr (0.1.8-3) unstable; urgency=low

  * disabled dialogs for connection problems (for laptop users)
  * fixed problem with file reading code (Big thx to HE for helping!)

 -- Joachim Breitner <nomeata@debian.org>  Sun, 26 Sep 2004 15:29:20 +0200

yarssr (0.1.8-2) unstable; urgency=low

  * Using dpatch
  * Added patch by myself to mark entries that existed when starting as
    "read"

 -- Joachim Breitner <nomeata@debian.org>  Tue, 13 Jul 2004 13:11:37 +0200

yarssr (0.1.8-1) unstable; urgency=low

  * New upstream release
     + Closes: #246644: configured informations are not saved

 -- Joachim Breitner <nomeata@debian.org>  Thu,  1 Jul 2004 13:27:56 +0200

yarssr (0.1.5-1) unstable; urgency=low

  * Initial Release. (Closes: Bug#243491)

 -- Joachim Breitner <nomeata@debian.org>  Tue, 13 Apr 2004 13:51:14 +0200

=== debian/control ===
Source: yarssr
Section: net
Priority: optional
Maintainer: Joachim Breitner <nomeata@debian.org>
Build-Depends: debhelper (>= 7)
Standards-Version: 3.8.4
Homepage: http://yarssr.sourceforge.net/

Package: yarssr
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends}, libgtk2-perl, libgtk2-gladexml-perl, libgtk2-trayicon-perl, libgnome2-vfs-perl, libgnome2-perl (>= 0.94), libxml-rss-perl, libgnomevfs2-extra
Description: RSS reader for the notification area
 Yet Another RSS Reader is an RSS aggregator and reader that displays its
 results in the GNOME or KDE system tray (notification area). To view the
 contents of the feed just click the menu-item and it will launch in your
 favorite browser.
